import marked from 'marked';
import { createFilter } from 'rollup-pluginutils';

var ext = /\.md$/;

marked.setOptions({
  renderer: new marked.Renderer(),
  gfm: true,
  tables: true,
  breaks: false,
  pedantic: false,
  sanitize: true,
  smartLists: true,
  smartypants: false
});

function md ( options ) {
    if ( options === void 0 ) options = {};

    var filter = rollupPluginutils.createFilter( options.include, options.exclude );

    return {
        name: 'md',

        transform: function transform ( md, id ) {
            if ( !ext.test( id ) ) return null;
            if ( !filter( id ) ) return null;

            var data = marked( md );
            var code = "var data = `" + data + "`;\n";
            code = code + "export default data;"
            return {
                code: code,
                map: { mappings: '' }
            };
        }
    };
}

export default md;
//# sourceMappingURL=rollup-plugin-md.mjs.map
